module.exports = {
  root: true,
  ignorePatterns: ['dist/**'],
  env: {
    browser: true,
    commonjs: true,
    es6: true,
    node: true,
  },
  extends: [
    'plugin:vue/strongly-recommended',
    'eslint:recommended',
  ],
  parserOptions: {
    parser: '@babel/eslint-parser',
    ecmaFeatures: {
      jsx: false,
      modules: true,
    },
    ecmaVersion: 2017,
    sourceType: 'module',
  },
  plugins: ['vue'],
  rules: {
    'no-console': 0,
    'no-debugger': 0,
    'no-var': 1,
    'linebreak-style': ['error', require('os').EOL === '\r\n' ? 'windows' : 'unix'],
    'quotes': ['error', 'single'],
    'semi': ['error', 'never'],
    'indent': ['error', 2, { SwitchCase: 1 }],
    'no-extra-parens': 'error',
    'no-trailing-spaces': 'error',
    'arrow-parens': ['error', 'as-needed'],
    'arrow-spacing': 'error',
    'comma-dangle': [
      'error',
      {
        arrays: 'always-multiline',
        objects: 'always-multiline',
      },
    ],
    'prefer-const': [
      'error',
      {
        destructuring: 'any',
        ignoreReadBeforeAssign: false,
      },
    ],
    'comma-spacing': ['error', { before: false, after: true }],
    'eol-last': ['error', 'always'],
    'vue/multi-word-component-names': 'off',
    'vue/require-default-prop': 'off',
    'vue/no-template-shadow': 'off',
    'vue/max-attributes-per-line': ['error', {
      'singleline': 3,
      'multiline': 1,
    }],
    'vue/attribute-hyphenation': ['error', 'never'],
  },
}
